[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Erase

Delete a file from disk

## Declaration

Source position: systemh.inc line 1292

`procedure Erase(`
`var f: file`
`); procedure Erase(`
`var t: Text`
`);`

## Description

Erase removes an unopened file from disk. The file should be assigned with Assign, but not opened with Reset or Rewrite

## Errors

Depending on the state of the {$I} switch, a runtime error can be generated if there is an error. In the {$I-} state, use IOResult to check for errors.

## See also

Assign |  | Assign a name to a file

## Example

    Program Example20;

    { Program to demonstrate the Erase function. }

    Var F : Text;

    begin
      { Create a file with a line of text in it}
      Assign (F,'test.txt');
      Rewrite (F);
      Writeln (F,'Try and find this when I''m finished !');
      close (f);
      { Now remove the file }
      Erase (f);
    end.